<script>
    async function editCliente(id, nombre, celular, ciudad, observacion,contacto,embajador,precioEspecial) {
        try {
            // Asegúrate de que los elementos con estos IDs existen en el HTML
            $('#editnombre').val(nombre);
            $('#editcelular').val(celular);
            $('#editobservacion').val(observacion);
            $('#editciudad').val(ciudad);
            $('#editid').val(id);
            $('#editcontacto').val(contacto);
            $('#edittipo').val(embajador);
            if(precioEspecial!=0){
                $('#editprecio').val(precioEspecial);
                var checkbox = document.getElementById('editprecioespecial');
                var inputPrecio = document.getElementById('editprecio');
                inputPrecio.style.display = 'block';
                checkbox.checked= true;
            }
            // Mostrar el modal
            $('#editCliente').modal('show');
        } catch (error) {
            console.log('ERROR');
            console.error(error);
        }
    }
    async function togglePrecio() {
        var checkbox = document.getElementById('precioespecial');
        var inputPrecio = document.getElementById('precio');
        if (checkbox.checked) {
            inputPrecio.style.display = 'block';
        } else {
            inputPrecio.style.display = 'none';
            inputPrecio.value='';
        }
    }
    async function togglePrecioEdit() {
        var checkbox = document.getElementById('editprecioespecial');
        var inputPrecio = document.getElementById('editprecio');
        if (checkbox.checked) {
            inputPrecio.style.display = 'block';
        } else {
            inputPrecio.style.display = 'none';
            inputPrecio.value='';
        }
    }
    async function hijosCliente(id) {
        try {
            const url = base_url + 'clientes/hijosCliente';
            const response = await $.ajax({
                url: url,
                data: { id: id }, // Aquí se pasa el parámetro id correcto
                type: 'POST',
                dataType: 'json', // Esto asegura que la respuesta se trate como JSON
            });
    
            // Limpia el contenido anterior de la tabla
            $('#clientes tbody').empty();
            
            
            // Recorre los datos de los hijos y agrégalos a la tabla
            response.hijos.forEach(hijo => {
                const genero = hijo.Clh_Genero ==1 ? 'Femenino' : 'Masculino';
                const row = `<tr>
                                <td onclick="editHijo(${hijo.Clh_Id},'${hijo.Clh_Nombre}','${hijo.Clh_FechaNacimiento}','${hijo.Clh_Genero}','${hijo.Clh_Observaciones}')">${hijo.Clh_Nombre}</td>
                                <td>${genero}</td>
                                <td>${hijo.Clh_FechaNacimiento}</td>
                                <td>${hijo.Clh_Observaciones}</td>
                            </tr>`;
                $('#clientes tbody').append(row);
            });
    
        } catch (error) {
            console.log('ERROR');
            console.error(error);
        }
    }
    
    async function verHijos(id) {
        $('#cliid').val(id);
        await hijosCliente(id); // Espera a que termine la llamada AJAX antes de mostrar el modal
        $('#verHijos').modal('show');
    }
    
    async function editHijo(id,nombre,fecha,genero,observacion) {
        $('#editidhijo').val(id);
        //await hijosCliente(id); // Espera a que termine la llamada AJAX antes de mostrar el modal
        $('#editnombrehijo').val(nombre);
        $('#editfecha').val(fecha);
        $('#editgenero').val(genero);
        $('#editobservacionhijo').val(observacion);
        $('#editHijo').modal('show');
    }

    async function createHijos(){
        //$('#cliid').val(id);
        $('#nuevoHijo').modal('show');
    }
</script>